at.chipkarte.client.kse.soap

## Class Anspruch

- Object
- - at.chipkarte.client.kse.soap.Anspruch

-     public class Anspruch
      extends Object

  Enthält die Daten für einen eigenen Anspruch beziehungsweise für einen abgeleiteten Anspruch, siehe `AnspruchException`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Anspruch()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgeleitetDruckNachname()` Drucknachname des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetDruckTitelHinten()` Drucktitel hinten des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetDruckTitelVorne()` Drucktitel vorne des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetDruckVorname()` Druckvorname des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetNachname()` Nachname des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetTitelHinten()` Titel hinten des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetTitelVorne()` Titel vorne des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAbgeleitetVorname()` Vorname des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getAblSvNummer()` Sozialversicherungsnummer des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getId()` ID des Anspruchs (eigener oder abgeleiteter, dient zur Referenzierung dieses Anspruchs in anderen Funktionen).
    `String` | `getSvtCode()` Für den (eigenen oder abgeleiteten) Anspruch zuständiger Krankenversicherungsträger.
    `void` | `setAbgeleitetDruckNachname(String abgeleitetDruckNachname)`
    `void` | `setAbgeleitetDruckTitelHinten(String abgeleitetDruckTitelHinten)`
    `void` | `setAbgeleitetDruckTitelVorne(String abgeleitetDruckTitelVorne)`
    `void` | `setAbgeleitetDruckVorname(String abgeleitetDruckVorname)`
    `void` | `setAbgeleitetNachname(String abgeleitetNachname)`
    `void` | `setAbgeleitetTitelHinten(String abgeleitetTitelHinten)`
    `void` | `setAbgeleitetTitelVorne(String abgeleitetTitelVorne)`
    `void` | `setAbgeleitetVorname(String abgeleitetVorname)`
    `void` | `setAblSvNummer(String ablSvNummer)`
    `void` | `setId(String id)`
    `void` | `setSvtCode(String svtCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Anspruch

          public Anspruch()

  - ### Method Detail

    - #### getAblSvNummer

          public String getAblSvNummer()

      Sozialversicherungsnummer des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetTitelHinten

          public String getAbgeleitetTitelHinten()

      Titel hinten des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 30-stellig
      Returns:
        Titel hinten des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetTitelVorne

          public String getAbgeleitetTitelVorne()

      Titel vorne des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 30-stellig
      Returns:
        Titel vorne des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetVorname

          public String getAbgeleitetVorname()

      Vorname des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 70-stellig
      Returns:
        Vorname des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetNachname

          public String getAbgeleitetNachname()

      Nachname des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 70-stellig
      Returns:
        Nachname des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetDruckTitelHinten

          public String getAbgeleitetDruckTitelHinten()

      Drucktitel hinten des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 30-stellig
      Returns:
        Drucktitel hinten des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetDruckTitelVorne

          public String getAbgeleitetDruckTitelVorne()

      Drucktitel vorne des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 30-stellig
      Returns:
        Drucktitel vorne des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetDruckVorname

          public String getAbgeleitetDruckVorname()

      Druckvorname des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 70-stellig
      Returns:
        Druckvorname des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getAbgeleitetDruckNachname

          public String getAbgeleitetDruckNachname()

      Drucknachname des Versicherten (Person von der der Anspruch abgeleitet ist).
      Format: maximal 70-stellig
      Returns:
        Drucknachname des Versicherten (Person von der der Anspruch abgeleitet ist).

    - #### getId

          public String getId()

      ID des Anspruchs (eigener oder abgeleiteter, dient zur Referenzierung dieses Anspruchs in anderen Funktionen).
      Format: maximal 19-stellig
      Returns:
        ID.

    - #### getSvtCode

          public String getSvtCode()

      Für den (eigenen oder abgeleiteten) Anspruch zuständiger Krankenversicherungsträger.
      Mögliche Werte siehe Funktion `getSVTs`
      Format: 2-stellig
      Returns:
        KVT-Code.

    - #### setAbgeleitetNachname

          public void setAbgeleitetNachname(String abgeleitetNachname)

    - #### setAbgeleitetTitelHinten

          public void setAbgeleitetTitelHinten(String abgeleitetTitelHinten)

    - #### setAbgeleitetTitelVorne

          public void setAbgeleitetTitelVorne(String abgeleitetTitelVorne)

    - #### setAbgeleitetVorname

          public void setAbgeleitetVorname(String abgeleitetVorname)

    - #### setAbgeleitetDruckNachname

          public void setAbgeleitetDruckNachname(String abgeleitetDruckNachname)

    - #### setAbgeleitetDruckTitelHinten

          public void setAbgeleitetDruckTitelHinten(String abgeleitetDruckTitelHinten)

    - #### setAbgeleitetDruckTitelVorne

          public void setAbgeleitetDruckTitelVorne(String abgeleitetDruckTitelVorne)

    - #### setAbgeleitetDruckVorname

          public void setAbgeleitetDruckVorname(String abgeleitetDruckVorname)

    - #### setAblSvNummer

          public void setAblSvNummer(String ablSvNummer)

    - #### setId

          public void setId(String id)

    - #### setSvtCode

          public void setSvtCode(String svtCode)